%define major      1
%define libname    %mklibname %{name} %{major}
%define libnamedev %mklibname %{name} -d

Name:           flite
Version:        2.2
Release:        %mkrel 2
Summary:        Small, fast speech synthesis engine (text-to-speech)
Group:          Sound
License:        MIT
URL:            http://www.speech.cs.cmu.edu/flite/
Source0:        http://www.speech.cs.cmu.edu/%{name}/packed/%{name}-%{version}/%{name}-%{version}.tar.xz
Source1:        README-ALSA.txt
BuildRequires:  ed
BuildRequires:  lib64alsa2-devel
BuildRequires:  autoconf

%description
Flite (festival-lite) is a small, fast run-time speech synthesis engine
developed at CMU and primarily designed for small embedded machines and/or
large servers. Flite is designed as an alternative synthesis engine to
Festival for voices built using the FestVox suite of voice building tools.

%package -n %{libname}
Summary:	Shared libraries for flite
Group:		System/Libraries

%description -n %{libname}
Shared libraries for Flite, a small, fast speech synthesis engine.

%package -n %{libnamedev}
Summary:        Development files for flite
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
Development files for Flite, a small, fast speech synthesis engine.

%prep
%setup -q
%apply_patches

cp -p %{SOURCE1} .

%build
export LDFLAGS="-lm"
autoreconf -fiv
%configure2_5x \
	--enable-shared \
	--with-audio=alsa \

%make

%install
%make_install \
	INSTALLBINDIR=%{_bindir} \
	INSTALLLIBDIR=%{_libdir} \
	INSTALLINCDIR=%{_includedir}/%{name}

find %{buildroot} -name "*.a" -delete

%files
%{_bindir}/*

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{version}

%files -n %{libnamedev}
%{_libdir}/lib%{name}*.so
%{_includedir}/%{name}/


%changelog
* Sun Oct 11 2020 tex - 2.2-2pclos2020
- fix rpm group

* Sat Sep 26 2020 tex - 2.2-1pclos2020
- import for pclos
